summaryrefslogtreecommitdiff
path: root/amavis/cron.weekly
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2004-10-10 09:30:30 +0000
committerJonas Smedegaard <dr@jones.dk>2004-10-10 09:30:30 +0000
commitf0d3c59de9716a150d3160a8916595c36a590a13 (patch)
tree34cb1d90321603d74dedd80ad0768c7749b28cc6 /amavis/cron.weekly
parent35671e5fb47bdb993363213126191a1d4f6e6182 (diff)
Move cron script below cron.weekly. Add logrotate script.
Diffstat (limited to 'amavis/cron.weekly')
-rwxr-xr-xamavis/cron.weekly/local-amavis11
1 files changed, 11 insertions, 0 deletions
diff --git a/amavis/cron.weekly/local-amavis b/amavis/cron.weekly/local-amavis
new file mode 100755
index 0000000..703ed13
--- /dev/null
+++ b/amavis/cron.weekly/local-amavis
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# local amavis cron weekly
+
+set -e
+
+if [ -x /usr/bin/archivemail ]; then
+ for mbox in spam-quarantine spamalert virus-quarantine virusalert; do archivemail -d 30 --delete /var/lib/amavis/mboxes/$mbox; done
+fi
+
+exit 0